You're reading a random programmers blog about software - go back to mainpage


Devise + Rails 4.2.0-beta1 - fixing undefined method 'merge!'

Written by: Alex Pszczolkowski on September 02, 2014


If you have just upgraded your Devise based app to Rails 4.2.0-beta1 version, you probabily encountered the following error:

To fix this now, you need to change your Gemfile to fetch branch lm-rails-4-2 of Devise directly from github, like so:

gem 'devise', :git => 'https://github.com/plataformatec/devise.git', :branch => 'lm-rails-4-2'

Please note, that for production use, you should probabily wait for new Devise release, where this bug will be merged.

More info at: https://github.com/plataformatec/devise/pull/3153

comments powered by Disqus